using UnityEngine;
using System.Collections;

public class MyPalloControls : MonoBehaviour {

	public GameObject audioLevelStart;
    public GameObject audioMove;
	public float audioStartDelay;

	bool is_player = true;
    bool moveCamera = false;
	public float force;

    public float timeToStartGame;
    public float cameraSpeed;

    public float soundDistance;
    Vector3 lastSoundPos;

    void StartGameCamera()
    {
        moveCamera = true;
    }

	void PlayStartAudio() {
		Instantiate(audioLevelStart);
	}

    // Use this for initialization
    void Start()
    {
        Invoke("StartGameCamera", timeToStartGame);
		Invoke("PlayStartAudio", audioStartDelay);
		is_player = !!is_player;	
	}
	
	// Update is called once per frame
	void Update () {

        gameObject.BroadcastMessage("VarinVaihdos", renderer.material.color);

        if (lastSoundPos == null) lastSoundPos = transform.position;
        if (Vector3.Distance(transform.position, lastSoundPos) > soundDistance)
        {
            lastSoundPos = transform.position;
            Instantiate(audioMove);
        }



    }

    void FixedUpdate()
    {
        Vector3 vec = new Vector3(Input.GetAxis("Horizontal") * force, 0, Input.GetAxis("Vertical") * force);
        vec = Camera.main.transform.rotation * vec;
        vec.y = 0;
        vec.Normalize();
        vec = vec * force;
        rigidbody.AddForce(vec);

        if (moveCamera && Camera.main != null)
        {
            //Debug.Log("wtf");
            //Transform nuukamera = new Transform();
            //nuukamera.position = Camera.main.transform.position;
            Transform nuukamera=(Transform)Transform.Instantiate(Camera.main.transform);
            nuukamera.LookAt(transform);
            //Camera.main.transform.rotation = Quaternion.RotateTowards(Camera.main.transform.rotation,nuukamera.transform.rotation, cameraSpeed);
            Camera.main.transform.rotation = Quaternion.Slerp(Camera.main.transform.rotation, nuukamera.transform.rotation, cameraSpeed);

//            Camera.main.transform.rotation = nuukamera.rotation;
            //            Camera.main.transform.LookAt(transform);
            Destroy(nuukamera.gameObject);
        }

    }
}
