﻿using UnityEngine;
using System.Collections;

public class Scorescripti : MonoBehaviour
{

		// Use this for initialization
	public float timeToStartGame;
	public float timeToShowFinalScore;

	public bool show_score = false;

	public int score = 0;
	public bool is_final_score = false;

	void showScore() {
		show_score = true;
	}

	void showFinalScore() {
		this.guiText.transform.position = new Vector3 (0.5f, 0.5f, 0.5f);
		this.guiText.fontSize = 110;
		this.guiText.text = "Game Over\nFinal score: " + score + "\n\nPress space to restart";
		this.guiText.alignment = TextAlignment.Center;
		this.guiText.anchor = TextAnchor.MiddleCenter;
	}

	void Start ()
	{
		Invoke("showScore", timeToStartGame);

		score = 0;
		show_score = false;

		float w = Screen.width * 1.0f;
		float h = Screen.height * 1.0f;

		float aspect = w;
		this.guiText.transform.position = new Vector3(0.01f, 0.99f, 0.5f);

		this.guiText.transform.localScale = new Vector3(0.1f, 0.1f * (w/h), 0.5f);
		this.guiText.fontSize = 100;
		this.guiText.text = "";
		this.guiText.alignment = TextAlignment.Left;
	}
	
		// Update is called once per frame
	void Update ()
	{
		float w = Screen.width * 1.0f;
		float h = Screen.height * 1.0f;

		this.guiText.transform.localScale = new Vector3(0.1f, 0.1f * (w/h), 0.5f);

		if (this.show_score) {
			if (is_final_score) {
				Invoke("showFinalScore", timeToShowFinalScore);
                if (Input.GetButton("Jump")) Application.LoadLevel("Hairy");
            } else {
				this.guiText.text = "Score: " + score;
			}
		}
	}
}
